# Integration settings: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/integration-settings/

Bimp API methods for the “Integration settings” resource (`/org2/integrationSettings/…`): 7 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/integrationSettings/api-create`](#api-create) |  |
| [`POST /org2/integrationSettings/api-create/v2`](#api-create-v2) |  |
| [`POST /org2/integrationSettings/api-update`](#api-update) |  |
| [`POST /org2/integrationSettings/api-update/v2`](#api-update-v2) |  |
| [`POST /org2/integrationSettings/lastUploadDateChange`](#last-upload-date-change) |  |
| [`POST /org2/integrationSettings/api-read`](#api-read) |  |
| [`POST /org2/integrationSettings/api-readList`](#api-read-list) |  |

## api-create

`POST /org2/integrationSettings/api-create`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `token` | string | yes |  |
| `name` | string | yes |  |
| `workStatus` | number (0) \| number (1) \| number (2) | yes | 0 - working \| 1 - paused \| 2 - deleted |
| `DOMAIN` | string \| null | yes |  |
| `integration` | object | yes |  |
| `integration.uuid` | string (uuid) | yes |  |
| `integration.name` | string | yes |  |
| `autoReserve` | boolean | yes |  |
| `reserveByStock` | boolean | yes |  |
| `overwriteExistingPayments` | boolean | yes |  |
| `overwriteExistingOrders` | boolean | yes |  |
| `overwriteExistingSales` | boolean | yes |  |
| `deliveryService` | object | yes |  |
| `deliveryService.uuid` | string (uuid) | yes |  |
| `deliveryService.name` | string | yes |  |
| `organization` | object | yes |  |
| `organization.uuid` | string (uuid) | yes |  |
| `organization.name` | string | yes |  |
| `organizationForPrint` | object | yes |  |
| `cashRegister` | object | yes |  |
| `cashRegister.uuid` | string (uuid) | yes |  |
| `cashRegister.name` | string | yes |  |
| `cashPaymentType` | number (1) \| number (2) | yes |  |
| `warehouse` | object \| null | yes |  |
| `orderUploadFrequency` | number | yes |  |
| `searchCustomerById` | boolean | yes |  |
| `searchCustomerByName` | boolean | yes |  |
| `searchCustomerByPhone` | boolean | yes |  |
| `searchCustomerByEmail` | boolean | yes |  |
| `defaultCustomer` | object \| null | yes |  |
| `defaultContract` | object \| null | yes |  |
| `createCustomers` | boolean | yes |  |
| `createPayments` | boolean | yes |  |
| `createSales` | boolean | yes |  |
| `currency` | object \| null | yes |  |
| `project` | object \| null | yes |  |
| `activityDirection` | object \| null | yes |  |
| `settlementsType` | object | yes |  |
| `settlementsType.uuid` | string (uuid) | yes |  |
| `settlementsType.name` | string | yes |  |
| `settlementsType.type` | string | yes |  |
| `searchProductById` | boolean | yes |  |
| `searchProductBySku` | boolean | yes |  |
| `searchProductBySkuName` | boolean | yes |  |
| `searchProductByName` | boolean | yes |  |
| `newProductGroup` | object \| null | yes |  |
| `createProducts` | boolean | yes |  |
| `statuses` | object[] \| null | yes |  |
| `paymentMethods` | object[] \| null | yes |  |
| `saleStatusKeyCrm` | object \| null | yes |  |
| `lastUpload` | string (date-time) \| null | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"token":"string","name":"string","workStatus":"string","DOMAIN":"string","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"autoReserve":true,"reserveByStock":true,"overwriteExistingPayments":true,"overwriteExistingOrders":true,"overwriteExistingSales":true,"deliveryService":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organization":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organizationForPrint":{},"cashRegister":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"cashPaymentType":1,"warehouse":"string","orderUploadFrequency":1,"searchCustomerById":true,"searchCustomerByName":true,"searchCustomerByPhone":true,"searchCustomerByEmail":true,"defaultCustomer":"string","defaultContract":"string","createCustomers":true,"createPayments":true,"createSales":true,"currency":"string","project":"string","activityDirection":"string","settlementsType":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string","type":"string"},"searchProductById":true,"searchProductBySku":true,"searchProductBySkuName":true,"searchProductByName":true,"newProductGroup":"string","createProducts":true,"statuses":"string","paymentMethods":"string","saleStatusKeyCrm":"string","lastUpload":"string"}'
```

## api-create/v2

`POST /org2/integrationSettings/api-create/v2`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `integration` | object | yes |  |
| `integration.uuid` | string (uuid) | yes |  |
| `integration.name` | string | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-create/v2' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"}}'
```

## api-update

`POST /org2/integrationSettings/api-update`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes |  |
| `token` | string | yes |  |
| `name` | string | yes |  |
| `workStatus` | number (0) \| number (1) \| number (2) | yes | 0 - working \| 1 - paused \| 2 - deleted |
| `DOMAIN` | string \| null | yes |  |
| `integration` | object | yes |  |
| `integration.uuid` | string (uuid) | yes |  |
| `integration.name` | string | yes |  |
| `autoReserve` | boolean | yes |  |
| `reserveByStock` | boolean | yes |  |
| `overwriteExistingPayments` | boolean | yes |  |
| `overwriteExistingOrders` | boolean | yes |  |
| `overwriteExistingSales` | boolean | yes |  |
| `deliveryService` | object | yes |  |
| `deliveryService.uuid` | string (uuid) | yes |  |
| `deliveryService.name` | string | yes |  |
| `organization` | object | yes |  |
| `organization.uuid` | string (uuid) | yes |  |
| `organization.name` | string | yes |  |
| `organizationForPrint` | object | yes |  |
| `cashRegister` | object | yes |  |
| `cashRegister.uuid` | string (uuid) | yes |  |
| `cashRegister.name` | string | yes |  |
| `cashPaymentType` | number (1) \| number (2) | yes |  |
| `warehouse` | object \| null | yes |  |
| `orderUploadFrequency` | number | yes |  |
| `searchCustomerById` | boolean | yes |  |
| `searchCustomerByName` | boolean | yes |  |
| `searchCustomerByPhone` | boolean | yes |  |
| `searchCustomerByEmail` | boolean | yes |  |
| `defaultCustomer` | object \| null | yes |  |
| `defaultContract` | object \| null | yes |  |
| `createCustomers` | boolean | yes |  |
| `createPayments` | boolean | yes |  |
| `createSales` | boolean | yes |  |
| `currency` | object \| null | yes |  |
| `project` | object \| null | yes |  |
| `activityDirection` | object \| null | yes |  |
| `settlementsType` | object | yes |  |
| `settlementsType.uuid` | string (uuid) | yes |  |
| `settlementsType.name` | string | yes |  |
| `settlementsType.type` | string | yes |  |
| `searchProductById` | boolean | yes |  |
| `searchProductBySku` | boolean | yes |  |
| `searchProductBySkuName` | boolean | yes |  |
| `searchProductByName` | boolean | yes |  |
| `newProductGroup` | object \| null | yes |  |
| `createProducts` | boolean | yes |  |
| `statuses` | object[] \| null | yes |  |
| `paymentMethods` | object[] \| null | yes |  |
| `saleStatusKeyCrm` | object \| null | yes |  |
| `lastUpload` | string (date-time) \| null | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","token":"string","name":"string","workStatus":"string","DOMAIN":"string","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"autoReserve":true,"reserveByStock":true,"overwriteExistingPayments":true,"overwriteExistingOrders":true,"overwriteExistingSales":true,"deliveryService":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organization":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organizationForPrint":{},"cashRegister":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"cashPaymentType":1,"warehouse":"string","orderUploadFrequency":1,"searchCustomerById":true,"searchCustomerByName":true,"searchCustomerByPhone":true,"searchCustomerByEmail":true,"defaultCustomer":"string","defaultContract":"string","createCustomers":true,"createPayments":true,"createSales":true,"currency":"string","project":"string","activityDirection":"string","settlementsType":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string","type":"string"},"searchProductById":true,"searchProductBySku":true,"searchProductBySkuName":true,"searchProductByName":true,"newProductGroup":"string","createProducts":true,"statuses":"string","paymentMethods":"string","saleStatusKeyCrm":"string","lastUpload":"string"}'
```

## api-update/v2

`POST /org2/integrationSettings/api-update/v2`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes |  |
| `integration` | object | yes |  |
| `integration.uuid` | string (uuid) | yes |  |
| `integration.name` | string | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-update/v2' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"}}'
```

## lastUploadDateChange

`POST /org2/integrationSettings/lastUploadDateChange`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `lastUploadInvoice` | string (date-time) |  |  |
| `lastUnloadingLeftovers` | string (date-time) |  |  |
| `lastUnloadingPrices` | string (date-time) |  |  |
| `lastUnloadingDeals` | string (date-time) |  |  |
| `lastUnloadingAddressBooks` | string (date-time) |  |  |
| `workStatus` | number (0) \| number (1) \| number (2) | yes | 0 - working \| 1 - paused \| 2 - deleted |
| `uuid` | string (uuid) | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/lastUploadDateChange' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"workStatus":"string","uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-read

`POST /org2/integrationSettings/api-read`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |
| `token` | string |  |
| `name` | string |  |
| `workStatus` | number (0) \| number (1) \| number (2) | 0 - working \| 1 - paused \| 2 - deleted |
| `DOMAIN` | string \| null |  |
| `integration` | object |  |
| `integration.uuid` | string (uuid) |  |
| `integration.name` | string |  |
| `autoReserve` | boolean |  |
| `reserveByStock` | boolean |  |
| `overwriteExistingPayments` | boolean |  |
| `overwriteExistingOrders` | boolean |  |
| `overwriteExistingSales` | boolean |  |
| `deliveryService` | object |  |
| `deliveryService.uuid` | string (uuid) |  |
| `deliveryService.name` | string |  |
| `organization` | object |  |
| `organization.uuid` | string (uuid) |  |
| `organization.name` | string |  |
| `organizationForPrint` | object |  |
| `cashRegister` | object |  |
| `cashRegister.uuid` | string (uuid) |  |
| `cashRegister.name` | string |  |
| `cashPaymentType` | number (1) \| number (2) |  |
| `warehouse` | object \| null |  |
| `orderUploadFrequency` | number |  |
| `searchCustomerById` | boolean |  |
| `searchCustomerByName` | boolean |  |
| `searchCustomerByPhone` | boolean |  |
| `searchCustomerByEmail` | boolean |  |
| `defaultCustomer` | object \| null |  |
| `defaultContract` | object \| null |  |
| `createCustomers` | boolean |  |
| `createPayments` | boolean |  |
| `createSales` | boolean |  |
| `currency` | object \| null |  |
| `project` | object \| null |  |
| `activityDirection` | object \| null |  |
| `settlementsType` | object |  |
| `settlementsType.uuid` | string (uuid) |  |
| `settlementsType.name` | string |  |
| `settlementsType.type` | string |  |
| `searchProductById` | boolean |  |
| `searchProductBySku` | boolean |  |
| `searchProductBySkuName` | boolean |  |
| `searchProductByName` | boolean |  |
| `newProductGroup` | object \| null |  |
| `createProducts` | boolean |  |
| `statuses` | object[] \| null |  |
| `paymentMethods` | object[] \| null |  |
| `saleStatusKeyCrm` | object \| null |  |
| `lastUpload` | string (date-time) \| null |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-readList

`POST /org2/integrationSettings/api-readList`

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].uuid` | string (uuid) |  |
| `[].name` | string |  |
| `[].integration` | object |  |
| `[].integration.uuid` | string (uuid) |  |
| `[].integration.name` | string |  |
| `[].workStatus` | number (0) \| number (1) \| number (2) | 0 - working \| 1 - paused \| 2 - deleted |
| `[].lastUploadInvoice` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-readList' \
  -H 'access-token: <company token>'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
